/*******************************************************************************
 *                                                                             *
 * Copyright (c) 2011 Texas Instruments Incorporated - http://www.ti.com/      *
 *                        ALL RIGHTS RESERVED                                  *
 *                                                                             *
 ******************************************************************************/

/*
 *   @file  app_mem_seg_placement.cfg
 *
 *   @brief 
 */

function init()
{
    var Program = xdc.useModule('xdc.cfg.Program');
   
        Program.sectMap[".text"]                    = "CODE_CORE_IPU1_0";
        Program.sectMap[".cinit"]                   = "CODE_CORE_IPU1_0";
        Program.sectMap[".pinit"]                   = "CODE_CORE_IPU1_0";
        Program.sectMap[".args"]                    = "CODE_CORE_IPU1_0";
        Program.sectMap[".const"]                   = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".sysmem"]                  = "PRIVATE_DATA_CORE_IPU1_0"; 
        Program.sectMap[".systemHeap"]              = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".stack"]                   = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".stackMemory"]             = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".bss:taskStackSection"]    = "PRIVATE_DATA_CORE_IPU1_0";
        //BSP memory section placement
        Program.sectMap[".bss:extMemNonCache:heap"] = "HDVPSS_DESCRIPTOR_NON_CACHED";
        Program.sectMap[".bss"]                     = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".rodata"]                  = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".neardata"]                = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".data"]                    = "PRIVATE_DATA_CORE_IPU1_0";
        Program.sectMap[".plt"]                     = "PRIVATE_DATA_CORE_IPU1_0";
		Program.sectMap[".my_sect_ddr"]             = "PRIVATE_DATA_CORE_IPU1_0";
		
}
